# OAuthAccessor

class OAuthAccessor extends Accessor

OAuthAccessor is holding a http client and the necessary OAuth information for the RESTClient to make requests.

## Methods

__construct(string $baseUrl, AccessToken $accessToken, string $consumer_key, string $consumer_secret)

No description

Client
getClient()

No description

from Accessor
setClient(Client $client)

No description

from Accessor

## Details

###
at line 49
`__construct(string $baseUrl, AccessToken $accessToken, string $consumer_key, string $consumer_secret)`

#### Parameters

string | $baseUrl |
AccessToken | $accessToken |
string | $consumer_key |
string | $consumer_secret |

###
in Accessor at line 54
`Client getClient()`

#### Return Value

Client |

###
in Accessor at line 61
`setClient(Client $client)`

#### Parameters

Client | $client |